# The Genetic Psychosocial Risk Instrument (GPRI) - Validation study 

The GPRI is a screening instrument used by genetic-health professionals to identify genetic testing applicants who may need additional psychosocial support. This study presents the adaptation and validation process of the GPRI. 

**Key words:** Cancer; Oncology; Genetic Testing; GPRI; Hereditary Cancer Syndromes; Portuguese; Psycho-oncology; Psychosocial Risk; Screening; Validation.

The analysis in the [GPRI_syntax.R](https://github.com/tiagodsferreira/together_repo/blob/main/GPRI_syntax.R) include:
- Missing data analysis
- Descriptive statistics;  
- Confirmatory Factor Analysis; 
- Reliability analysis
- Convergent validity; 

The file also include the all packages and user-defined function used for the study.

## Results overview
The GPRI three-factor structure is confirmed. Two GPRI factors exhibited good internal consistency, but one factor (Personal/family history of/Loss to Cancer) showed problems in internal consistency, discriminant, and convergent validity. 

*NOTE:* The manuscript (Gomes et al., under review) reporting these analysis is currently under peer review

[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.6106770.svg)](https://doi.org/10.5281/zenodo.6106770)
